//
// Created by Krad on 2022/1/11.
//

#ifndef GUI_VERTICALTEXTTOOLBUTTON_H
#define GUI_VERTICALTEXTTOOLBUTTON_H

#include <QToolButton>
class VerticalTextToolButton: public QToolButton {
public:
    explicit VerticalTextToolButton(QWidget* parent = nullptr);
    virtual ~VerticalTextToolButton();
    void setVerticalText(const QString text){
        verticalText = text;
    }
protected:
    virtual void paintEvent(QPaintEvent* e) override;

private:
    QString verticalText;
};


#endif //GUI_VERTICALTEXTTOOLBUTTON_H
